> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Put Environment Variable

> Create or update a plaintext environment variable for a specific branch of a Kibo Hosted Headless application.



## OpenAPI

````yaml /openapi/openapi_appdevelopement.json put /platform/appdev/headless-app/env/{branchName}
openapi: 3.0.1
info:
  description: |-
    <div id="overview_APPDEVELOPEMENT">
                <h2>APP DEVELOPMENT</h2>
                <p>The Applications API updates and retrieves details about the applications installed for your tenant. Use
                    the AuthTickets resource for applications resource to manage authentication tickets for your apps. For information about creating applications, see the <a href="/pages/applications-1a6c791">Application Development</a> guides.</p>
                <p>Use the<strong>App Auth Tickets</strong> resource to manage authentication tickets for your applications.</p>
                <p>Use the <strong>Filebased Package</strong> resource to download a file-based representation of the application definition to work on collaboratively with your team using your own source control process.</p>
                <p>Use the <strong>Package</strong> resource to manage the application packages and retrieve summaries.</p>
                <p>Use the <strong>Public Application</strong> resource to retrieve package metadata or application versions as well as manage package files.</p>
            </div>
  title: App Development
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /platform/appdev/headless-app/env/{branchName}:
    put:
      tags:
        - HeadlessApp
      summary: Put Environment Variable
      description: >-
        Create or update a plaintext environment variable for a specific branch
        of a Kibo Hosted Headless application.
      parameters:
        - description: The name of the branch to set the environment variable on
          in: path
          name: branchName
          required: true
          schema:
            type: string
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HeadlessEnvVarInput'
        description: The environment variable name and value to set
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HeadlessEnvVar'
            text/json:
              schema:
                $ref: '#/components/schemas/HeadlessEnvVar'
            text/plain:
              schema:
                $ref: '#/components/schemas/HeadlessEnvVar'
          description: OK
components:
  schemas:
    HeadlessEnvVarInput:
      description: >-
        Write-only input for creating or updating a headless environment
        variable.

        The read view is Mozu.AppDev.Contracts.HeadlessEnvVar.
      properties:
        name:
          minLength: 1
          type: string
        value:
          minLength: 1
          type: string
      required:
        - name
        - value
      type: object
    HeadlessEnvVar:
      description: >-
        Read/list view of a headless environment variable. Unlike
        Mozu.AppDev.Contracts.HeadlessSecret,

        environment variable values are plaintext and deliberately returned to
        clients.

        For writes, use Mozu.AppDev.Contracts.HeadlessEnvVarInput.
      properties:
        lastModified:
          format: date-time
          nullable: true
          type: string
        name:
          nullable: true
          type: string
        value:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````